EDIT - bug #5632

ClassNotFoundException for org.eclipse.jetty.serviet.listener.ELContextCleaner during taxeditor mvn
integration-test

03/11/2016 10:18 AM - Andreas Kohlbecker

Status:
Priority:

Assignee:

Category:

Target version:

Severity:

New
Highest
Andreas

taxeditor

Reviewed Next Major Release

critical

Start date:
Due date:

Kohlbecker % Done: 0%
Estimated time: 0:00 hour

Found in Version:

Description

when running mvn integration-test in eu.etaxonomy.taxeditor.test

duplicated by #5846 (please check if really a duplicate)

org.eclipse. jetty.servlet.listener.ELContextCleaner
java.lang.ClassNotFoundException: org.eclipse. jetty.servlet.listener.ELContextCleaner

at org.eclipse.tycho.surefire.osgibooter.CombinedClassLoader.findClass (CombinedClassLoader. jav

a:37)
at
at
at
at
at
at

java.lang.ClassLoader.loadClass (ClassLoader. java:425)
java.lang.ClassLoader.loadClass (ClassLoader. java:358)

org.
org.

eclipse.
eclipse.
eclipse.
eclipse.

sor.java:1956)

at
at
at
at
va:85)
at
java:72
at
at
at
at
at
at
at
at
at
at
at
at

sun.
sun.
sun.

reflect
reflect

reflect.

Jetty.
jetty.
jetty.
jetty.

webapp .WebAppClassLoader.loadClass (WebAppClassLoader. java:450)

webapp .WebAppClassLoader.loadClass (WebAppClassLoader. java:403)
server.handler.ContextHandler.loadClass (ContextHandler. java:1583)
webapp.StandardDescriptorProcessor.visitListener (StandardDescriptorProces

.NativeMethodAccessorImpl.invokeO (Native Method)

.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)

java.lang.reflect.

org.eclipse. jetty.

org.
)

org
org.
org.
org.
org.
org.
eclipse.

.eclipse.
eclipse.
eclipse.
eclipse.
.eclipse.
eclipse.
eclipse.

jetty.

Jetty.
Jetty.
Jetty.
Jetty.
jetty.
jetty
jetty.
jetty.
Jetty.
Jetty.
Jetty.

DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

Method.invoke (Method. java:606)
webapp.IterativeDescriptorProcessor.visit (IterativeDescriptorProcessor. ja

webapp.IterativeDescriptorProcessor.process (IterativeDescriptorProcessor.

webapp.MetaData.resolve (MetaData.java:407)

webapp .WebAppContext.startContext (WebAppContext.java:1340)
server.handler.ContextHandler.doStart (ContextHandler. java:741)
webapp .WebAppContext.doStart (WebAppContext. java:505)
util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)

.util.component.ContainerLifeCycle.start (ContainerLifeCycle.java:132)

server.Server.start (Server. java:387)
util.component.ContainerLifeCycle.doStart (ContainerLifeCycle.java:114)
server.handler.AbstractHandler.doStart (AbstractHandler. java:61)
server.Server.doStart (Server. java:354)
util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)

eu.etaxonomy.taxeditor.webapp.CDMServer$l.run (CDMServer. java:184)

2016-05-31 11:51:22.054:WARN:0ejw.StandardDescriptorProcessor:Thread-8: Could not instantiate list
ener org.eclipse.jetty.servlet.listener.IntrospectorCleaner

java.lang.ClassNotFoundException: org.eclipse. jetty.servlet.listener.IntrospectorCleaner

at org.eclipse.tycho.surefire.osgibooter.CombinedClassLoader.findClass (CombinedClassLoader. jav

a:37)
at
at
at
at
at
at

java.lang.ClassLoader.loadClass (ClassLoader. java:425)
java.lang.ClassLoader.loadClass (ClassLoader. java:358)

org.
org.
org.
org.

eclipse.
eclipse.
eclipse.
eclipse.

sor.java:1956)

at sun.reflect

at sun.reflect
Jetty.
jetty.
jetty.
jetty.

webapp .WebAppClassLoader.loadClass (WebAppClassLoader. java:450)

webapp .WebAppClassLoader.loadClass (WebAppClassLoader. java:403)
server.handler.ContextHandler.loadClass (ContextHandler. java:1583)
webapp.StandardDescriptorProcessor.visitListener (StandardDescriptorProces

.NativeMethodAccessorImpl.invokeO (Native Method)

.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)
at
at
at
va:85)
at

sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method. invoke (Method. java:606)
webapp.IterativeDescriptorProcessor.visit (IterativeDescriptorProcessor. ja

org.

org.

java:72)

at
at
at
at
at
at
at
at
at
at
at
at

2016-05-31 11:51:22.063:WARN:o0ejw.WebAppContext:Thread-8:

org.
org.
org
org.
org.
org.
org.
org.
org
org.
org.

eclipse

eclipse.

eclipse.
eclipse.
.eclipse.
eclipse.
eclipse.
eclipse.
eclipse.
eclipse.
.eclipse.
eclipse.
eclipse.

.jetty.

jetty.

jetty.
Jetty.
Jetty.
Jetty.
Jetty.
jetty.
jetty.
jetty.
jetty.
Jetty.
Jetty.

webapp.IterativeDescriptorProcessor.process (IterativeDescriptorProcessor.

webapp.MetaData.resolve (MetaData.java:407)

webapp .WebAppContext.startContext (WebAppContext.java:1340)
server.handler.ContextHandler.doStart (ContextHandler. java:741)
webapp .WebAppContext.doStart (WebAppContext. java:505)
util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)
util.component.ContainerLifeCycle.start (ContainerLifeCycle.java:132)
server.Server.start (Server. java:387)

util.component.ContainerLifeCycle.doStart (ContainerLifeCycle.java:114)

server.handler.AbstractHandler.doStart (AbstractHandler. java:61)
server.Server.doStart (Server. java:354)
util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)

eu.etaxonomy.taxeditor.webapp.CDMServer$l.run (CDMServer. java:184)
2016-05-31 11:51:22.059:INFO:0ejw.StandardDescriptorProcessor:Thread-8: NO JSP Support for /,
not find org.eclipse.jetty.Jjsp.JettyJspServlet

did

Failed startup of context o.e.j.w.WebApp

Context@25708786{/, file:/tmp/jetty-0.0.0.0-44578-cdmlib-remote-webapp.war—_—-any—-503591776140319360
5.dir/webapp/, STARTING} {/var/lib/jenkins/jobs/taxeditor-INTEGRATION/workspace/eu.etaxonomy.taxedit
or.test/target/work/configuration/org.eclipse.osgi/bundles/54/1/.cp/lib/cdmlib-remote-webapp.war}
java.lang.reflect.InvocationTargetException
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:606)
webapp.IterativeDescriptorProcessor.visit (IterativeDescriptorProcessor. ja

at
va:85)
at
at
Jetty.
Jetty.
Jetty.
Jetty.
webapp.IterativeDescriptorProcessor.process (IterativeDescriptorProcessor.

webapp.MetaData.resolve (MetaData. java:408)

webapp .WebAppContext.startContext (WebAppContext.java:1340)
server.handler.ContextHandler.doStart (ContextHandler. java:741)
webapp .WebAppContext .doStart (WebAppContext. java:505)
util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)
util.component.ContainerLifeCycle.start (ContainerLifeCycle.java:132)
server.Server.start (Server.java:387)

util.component.ContainerLifeCycle.doStart (ContainerLifeCycle.java:114)

server.handler.AbstractHandler.doStart (AbstractHandler. java:61)
server.Server.doStart (Server. java:354)
util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)

eu.etaxonomy.taxeditor.webapp.CDMServer$l.run (CDMServer. java:184)

by:

java.lang.NoClassDefFoundError: Jjavax/servlet/ServletContextListener
.lang.ClassLoader.defineClassl (Native Method)

at
at
at
at
at
at
at
at
at
at
at
at

Java
Java.
java.
eclipse.
eclipse.
sor.java:1956)

at
reflect
reflect

reflect.

Jetty.
Jetty.
Jetty.
jetty.
jetty.

lang.ClassLoader.defineClass (ClassLoader. java:800)
security.SecureClassLoader.defineClass (SecureClassLoader. java:142)
net.URLClassLoader.defineClass (URLClassLoader. java:449)

net .URLClassLoader.access$100 (URLClassLoader. java:71)

net .URLClassLoader$l.run (URLClassLoader. java:361)

net .URLClassLoader$l.run (URLClassLoader. java:355)
security.AccessController.doPrivileged (Native Method)

net .URLClassLoader.findClass (URLClassLoader. java:354)

webapp .WebAppClassLoader.findClass (WebAppClassLoader. java:510)
webapp .WebAppClassLoader.loadClass (WebAppClassLoader. java:441)
webapp .WebAppClassLoader.loadClass (WebAppClassLoader. java:403)
server.handler.ContextHandler.loadClass (ContextHandler. java:1583)

webapp.StandardDescriptorProcessor.visitListener (StandardDescriptorProces

.NativeMethodAccessorImpl.invokeO (Native Method)

.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)

DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

java.lang.reflect.Method. invoke (Method. java:606)
org.eclipse. jetty.webapp.IterativeDescriptorProcessor.visit (IterativeDescriptorProcessor. ja
va:85)
at

org.eclipse. jetty.webapp.IterativeDescriptorProcessor.process (IterativeDescriptorProcessor.

Java:72)

at
at
at
at
at
at
at
at
at
at
at
at
Caused

org.eclipse. jetty.webapp.MetaData.resolve (MetaData. java:408)

org.eclipse. jetty.webapp.WebAppContext.startContext (WebAppContext. java:1340)
org.eclipse. jetty.server.handler.ContextHandler.doStart (ContextHandler.java:741)
org.eclipse. jetty.webapp.WebAppContext.doStart (WebAppContext.java:505)
org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)
org.eclipse. jetty.util.component.ContainerLifeCycle.start (ContainerLifeCycle. java:132)
org.eclipse. jetty.server.Server.start (Server.java:387)

org.eclipse. jetty.util.component.ContainerLifeCycle.doStart (ContainerLifeCycle.java:114)
org.eclipse. jetty.server.handler.AbstractHandler.doStart (AbstractHandler.java:61)
org.eclipse. jetty.server.Server.doStart (Server. java:354)

org.eclipse. jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)
eu.etaxonomy.taxeditor.webapp.CDMServer$l.run (CDMServer. java:184)

by:

java.lang.ClassNotFoundException: javax.servlet.ServletContextListener

at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at
at

java.net .URLClassLoader$l.run (URLClassLoader. java:366)

java.net .URLClassLoader$l.run (URLClassLoader. java:355)
java.security.AccessController.doPrivileged (Native Method)

java.net .URLClassLoader.findClass (URLClassLoader. java:354)

org.eclipse. jetty.webapp.WebAppClassLoader.findClass (WebAppClassLoader.java:510)
org.eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader.java:441)
org.eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader.java:403)
java.lang.ClassLoader.defineClassl (Native Method)
java.lang.ClassLoader.defineClass (ClassLoader. java:800)
java.security.SecureClasslLoader.defineClass (SecureClassLoader.java:142)

java.net .URLClassLoader.defineClass (URLClassLoader. java:449)
java.net.URLClassLoader.access$100 (URLClassLoader. java:71)
java.net.URLClassLoader$l.run (URLClassLoader. java:361)
java.net.URLClassLoader$l.run (URLClassLoader. java:355)
java.security.AccessController.doPrivileged (Native Method)
java.net.URLClassLoader.findClass (URLClassLoader. java:354)

org.eclipse. jetty.webapp.WebAppClassLoader.findClass (WebAppClassLoader.java:510)
org.eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader. java:441)
org.eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader.java:403)
org.eclipse. jetty.server.handler.ContextHandler.loadClass (ContextHandler.java:1583)
org.eclipse. jetty.webapp.StandardDescriptorProcessor.visitListener (StandardDescriptorProces

sor.java:1956)

at
at
at
at
at
va:85)
at

sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:606)

org.eclipse. jetty.webapp.IterativeDescriptorProcessor.visit (IterativeDescriptorProcessor. ja

org.eclipse. jetty.webapp.IterativeDescriptorProcessor.process (IterativeDescriptorProcessor.

java:72)

at
at
at
at
at
at
at
at
at
at
at
at

org.eclipse. jetty.webapp.MetaData.resolve (MetaData. java:408)

org.eclipse. jetty.webapp.WebAppContext.startContext (WebAppContext. java:1340)
org.eclipse. jetty.server.handler.ContextHandler.doStart (ContextHandler. java:741)
org.eclipse. jetty.webapp.WebAppContext.doStart (WebAppContext. java:505)
org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)
org.eclipse.jetty.util.component.ContainerLifeCycle.start (ContainerLifeCycle. java:132)
org.eclipse. jetty.server.Server.start (Server.java:387)
org.eclipse.jetty.util.component.ContainerLifeCycle.doStart (ContainerLifeCycle. java:114)
org.eclipse. jetty.server.handler.AbstractHandler.doStart (AbstractHandler. java:61)
org.eclipse. jetty.server.Server.doStart (Server. java:354)

org.eclipse. jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)
eu.etaxonomy.taxeditor.webapp.CDMServer$l.run (CDMServer. java:184)

Associated revisions

Revision b668f047 - 03/06/2019 09:59 AM - Patrick Plitzner
ref #5632 Re-enable CdmServer test

Revision 9fc5c5ca - 03/06/2019 10:21 AM - Patrick Plitzner
ref #5632 Disable CdmServer test

History

#1 - 03/24/2016 12:15 PM - Andreas Kohlbecker

this seems not to be affecting the success of the test, so we could ignore this error.

| vote for: wontfix

what do you think?

#2 - 05/02/2016 03:06 PM - Andreas Miuller

- Target version changed from Release 4.0 to Release 4.1

#3 - 05/31/2016 01:26 PM - Andreas Miiller
with fixing

#4 - 05/31/2016 01:29 PM - Andreas Miuller

with fixing #5812 this became more critical as the test does not run anymore as the exception is handled correctly now.

This ticket is duplicated by #5846

#5 - 06/01/2016 01:23 PM - Andreas Miller

- Target version changed from Release 4.1 to Release 4.2

#6 - 07/06/2016 03:23 PM - Andreas Miiller

- Target version changed from Release 4.2 to Release 4.3

#7 - 09/26/2016 09:56 AM - Andreas Mdiller

- Target version changed from Release 4.3 to Release 4.4

#8 - 12/01/2016 02:21 PM - Andreas Miller

- Target version changed from Release 4.4 to Release 4.5

#9 - 01/19/2017 01:36 PM - Andreas Miller

- Target version changed from Release 4.5 to Release 4.6

#10 - 03/10/2017 08:49 PM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#11 - 05/17/2017 01:41 PM - Andreas Kohlbecker

- Target version changed from Release 4.7 to Release 4.8

#12 - 07/06/2017 10:17 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#13 - 07/21/2017 10:33 AM - Andreas Miller

- Target version changed from Release 4.9 to Release 4.10

#14 - 09/24/2017 01:17 AM - Andreas Miiller
- Description updated

- Target version changed from Release 4.10 to Release 4.11

#15 - 11/08/2017 11:14 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#16 - 12/05/2017 02:25 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13
#17 - 01/31/2018 12:14 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#18 - 02/15/2018 02:59 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#19 - 02/21/2018 12:19 PM - Andreas Miiller
- Description updated
- Assignee changed from Andreas Kohlbecker to Patrick Plitzner

- Target version changed from Release 5.0 to Reviewed Next Major Release

#20 - 02/21/2018 12:19 PM - Andreas Miiller

- Private changed from Yes to No

#21 - 02/22/2019 12:27 PM - Patrick Plitzner
- Priority changed from New to Priority12

- Target version changed from Reviewed Next Major Release to Release 5.6

We recently talked about this issue. | just moved it to the release to check if it still happens and if there is an easy fix.

#22 - 03/06/2019 10:19 AM - Patrick Plitzner

This exception is still thrown when the test is run.

This is the log of the last jenkins run: http:/int.e-taxonomy.eu/jenkins/job/taxeditor-INTEGRATION/4665/console

2019-03-06 10:04:57.984:WARN:cejw.StandardDescriptorProcessor:Thread-7:

ipse.jetty.servlet.listener.ELContextCleaner

Could not instantiate listener org.ecl

java.lang.ClassNotFoundException: org.eclipse.jetty.servlet.listener.ELContextCleaner

at org.eclipse.tycho.surefire.osgibooter.CombinedClassLoader.findClass (CombinedClassLoader. java:37)

at java.lang.ClassLoader.loadClass (ClassLoader.java:424)
at java.lang.ClassLoader.loadClass (ClassLoader.java:357)

at org.eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader. java:450)

at org.eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader. java:403)
at org.eclipse. jetty.server.handler.ContextHandler.loadClass (ContextHandler. java:1583)

at org.eclipse. jetty.webapp.StandardDescriptorProcessor.visitListener (StandardDescriptorProcessor.java:195

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse. jetty.webapp.IterativeDescriptorProcessor.visit (IterativeDescriptorProcessor. java:85)

at org.eclipse. jetty.webapp.IterativeDescriptorProcessor.process (IterativeDescriptorProcessor. java:72)

at org.eclipse. jetty.webapp.MetaData.resolve (MetaData.java:407)

at org.eclipse. jetty.webapp.WebAppContext.startContext (WebAppContext. java:1340)

at org.eclipse. jetty.server.handler.ContextHandler.doStart (ContextHandler. java:741)
at org.eclipse. jetty.webapp.WebAppContext.doStart (WebAppContext. java:505)
at org.eclipse. jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)

at org.eclipse.jetty.util.component.ContainerLifeCycle.start (ContainerLifeCycle.java:132)

at org.eclipse. jetty.server.Server.start (Server. java:387)

at org.eclipse. jetty.util.component.ContainerLifeCycle.doStart (ContainerLifeCycle.java:114)
at org.eclipse. jetty.server.handler.AbstractHandler.doStart (AbstractHandler. java:61)

at org.eclipse. jetty.server.Server.doStart (Server. java:354)

at org.eclipse. jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)

at eu.etaxonomy.taxeditor.webapp.CDMServer$l.run (CDMServer. java:183)
2019-03-06 10:04:57.985:WARN:ocejw.StandardDescriptorProcessor:Thread-7:

ipse.jetty.servlet.listener.IntrospectorCleaner

Could not instantiate listener org.ecl

java.lang.ClassNotFoundException: org.eclipse.jetty.servlet.listener.IntrospectorCleaner
at org.eclipse.tycho.surefire.osgibooter.CombinedClassLoader.findClass (CombinedClassLoader. java:37)

at java.lang.ClassLoader.loadClass (ClassLoader.java:424)
at java.lang.ClassLoader.loadClass (ClassLoader.java:357)

at org.eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader.java:450)
at org.eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader. java:403)

at org.eclipse. jetty.server.handler.ContextHandler.loadClass (ContextHandler. java:1583)
at org.eclipse. jetty.webapp.StandardDescriptorProcessor.visitListener (StandardDescriptorProcessor. java:195

at sun.reflect.NativeMethodAccessorImpl.invoke0 (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
http://int.e-taxonomy.eu/jenkins/job/taxeditor-INTEGRATION/4665/console
Caused

sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect
org.
eclipse.
.eclipse.
eclipse.
.eclipse.
eclipse.
.eclipse.
.eclipse.
eclipse.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.

jetty

.Method.
webapp.
webapp.
webapp.
webapp.
.handler.ContextHandler.doStart (ContextHandler. java:741)

server

webapp.
util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)

util.component.ContainerLifeCycle.start (ContainerLifeCycle. java:132)
server.

server.
server.

invoke (Method. java:498)

IterativeDescriptorProcessor.visit (IterativeDescriptorProcessor. java:85)
IterativeDescriptorProcessor.process (IterativeDescriptorProcessor. java:72)
MetaData.resolve (MetaData. java:407)

WebAppContext.startContext (WebAppContext.java:1340)

WebAppContext.doStart (WebAppContext.java:505)

Server.start (Server. java:387)

util.component.ContainerLifeCycle.doStart (ContainerLifeCycle. java:114)

handler.AbstractHandler.doStart (AbstractHandler. java:61)
Server.doStart (Server. java:354)

.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)
eu.etaxonomy.taxeditor.webapp.CDMServer$l.run (CDMServer. java:183)

2019-03-06 10:04:57.991:INFO:0ejw.StandardDescriptorProcessor:Thread-7: NO JSP Support for /, did not find org
.eclipse.jetty.jsp.JettydspServliet

2019-03-06 10:04:57.995:WARN:oejw.WebAppContext:Thread-7: Failed startup of context o.e.j.w.WebAppContext@5e81
b250{/,file:/tmp/jetty-0.0.0.0-53678-cdmlib-remote-webapp.war—_-any-902060411306944638.dir/webapp/, STARTING} {/
var/lib/Jjenkins/workspace/taxeditor—-INTEGRATION/eu.etaxonomy.taxeditor.test/target/work/configuration/org.ecli
pse.osgi/75/0/.cp/lib/cdmlib-remote-webapp.war}

java.lang.reflect.InvocationTargetException

sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

java.lang.reflect.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
org.
org
org.
org.
org
org.
org.
org

eclipse.
eclipse.
eclipse.
.eclipse.
eclipse.
eclipse.
.eclipse.
eclipse.
eclipse.
.eclipse.
eclipse.
eclipse.
.eclipse.

Method.
webapp.
webapp.
webapp.
webapp.
server.
webapp.
util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)

util.component.ContainerLifeCycle.start (ContainerLifeCycle. java:132)
server.
util.component.ContainerLifeCycle.doStart (ContainerLifeCycle. java:114)
server.
server.
util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)

invoke (Method. java:498)

IterativeDescriptorProcessor.visit (IterativeDescriptorProcessor. java:85)
IterativeDescriptorProcessor.process (IterativeDescriptorProcessor. java:72)
MetaData.resolve (MetaData. java:408)

WebAppContext.startContext (WebAppContext.java:1340)
handler.ContextHandler.doStart (ContextHandler. java:741)
WebAppContext.doStart (WebAppContext.java:505)

Server.start (Server. java:387)

handler.AbstractHandler.doStart (AbstractHandler. java:61)
Server.doStart (Server. java:354)

eu.etaxonomy.taxeditor.webapp.CDMServer$l.run (CDMServer. java:183)

by:

java.lang.NoClassDefFoundError:
org.
org
org.
.eclipse.
eclipse.
eclipse.

reflect

reflect.
.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
.invoke (Method. java:498)

webapp.
webapp.
webapp.
webapp.
.handler.ContextHandler.doStart (ContextHandler. java:741)

reflect

.eclipse.
eclipse.
eclipse.
.eclipse.
eclipse.
eclipse.
.eclipse.
eclipse.
eclipse.
.eclipse.
eclipse.
eclipse.

jetty.
jetty.
jetty.
jetty.
jetty.

javax/servlet/ServletContextListener

lang.ClassLoader.defineClassl (Native Method)
lang.ClassLoader.defineClass (ClassLoader. java:763)
security.SecureClassLoader.defineClass (SecureClassLoader. java:142)
net .URLClassLoader.defineClass (URLClassLoader.java:467)

net .URLClassLoader.access$100 (URLClassLoader. java:73)

net .URLClassLoader$l.run (URLClassLoader. java:368)

net .URLClassLoader$l.run (URLClassLoader. java:362)
security.AccessController.doPrivileged (Native Method)

net .URLClassLoader.findClass (URLClassLoader. java:361)

webapp.
webapp.
webapp.
server.
webapp.

WebAppClassLoader.findClass (WebAppClassLoader. java:510)
WebAppClassLoader.loadClass (WebAppClassLoader. java:441)
WebAppClassLoader.loadClass (WebAppClassLoader. java:403)
handler.ContextHandler.loadClass (ContextHandler. java:1583)
StandardDescriptorProcessor.visitListener (StandardDescriptorProcessor.java:195

.NativeMethodAccessorImpl.invokeO (Native Method)

NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.
jetty.

jetty

Method

server

webapp.
util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)

util.component.ContainerLifeCycle.start (ContainerLifeCycle. java:132)
server.

server.
server.

IterativeDescriptorProcessor.visit (IterativeDescriptorProcessor. java:85)
IterativeDescriptorProcessor.process (IterativeDescriptorProcessor.java:72)
MetaData.resolve (MetaData. java:408)

WebAppContext.startContext (WebAppContext.java:1340)

WebAppContext.doStart (WebAppContext.java:505)

Server.start (Server. java:387)

util.component.ContainerLifeCycle.doStart (ContainerLifeCycle. java:114)

handler.AbstractHandler.doStart (AbstractHandler. java:61)
Server.doStart (Server. java:354)

.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)
at eu.etaxonomy.taxeditor.webapp.CDMServer$l.run (CDMServer. java:183)

Caused by:

java.lang.ClassNotFoundException: javax.servlet.ServletContextListener
at java.net.URLClassLoader.findClass (URLClassLoader. java:381)
at org.eclipse. jetty.webapp.WebAppClassLoader.findClass (WebAppClassLoader.java:510)
at org.eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader.java:441)
at org.eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader.java:403)
at java.lang.ClassLoader.defineClassl (Native Method)
at java.lang.ClassLoader.defineClass (ClassLoader.java:763)
at java.security.SecureClassLoader.defineClass (SecureClassLoader. java:142)
at java.net.URLClassLoader.defineClass (URLClassLoader.java:467)
at java.net.URLClassLoader.access$100 (URLClassLoader.java:73)
at Jjava.net.URLClassLoader$1l.run (URLClassLoader. java:368)
at Jjava.net.URLClassLoader$l.run (URLClassLoader. java:362)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass (URLClassLoader. java:361)
at org.eclipse. jetty.webapp.WebAppClassLoader.findClass (WebAppClassLoader.java:510)
at org.eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader.java:441)
at org.eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader. java:403)
at org.eclipse. jetty.server.handler.ContextHandler.loadClass (ContextHandler. java:1583)
at org.eclipse.jetty.webapp.StandardDescriptorProcessor.visitListener (StandardDescriptorProcessor.java:195

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.jetty.webapp.IterativeDescriptorProcessor.visit (IterativeDescriptorProcessor.java:85)

at org.eclipse. jetty.webapp.IterativeDescriptorProcessor.process (IterativeDescriptorProcessor. java:72)

at org.eclipse. jetty.webapp.MetaData.resolve (MetaData.java:408)

at org.eclipse.jetty.webapp.WebAppContext.startContext (WebAppContext. java:1340)

at org.eclipse. jetty.server.handler.ContextHandler.doStart (ContextHandler. java:741)

at org.eclipse. jetty.webapp.WebAppContext.doStart (WebAppContext. java:505)

at org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)

at org.eclipse.jetty.util.component.ContainerLifeCycle.start (ContainerLifeCycle.java:132)

at org.eclipse. jetty.server.Server.start (Server. java:387)

at org.eclipse.jetty.util.component.ContainerLifeCycle.doStart (ContainerLifeCycle.java:114)

at org.eclipse. jetty.server.handler.AbstractHandler.doStart (AbstractHandler. java:61)

at org.eclipse. jetty.server.Server.doStart (Server. java:354)

at org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)

at eu.etaxonomy.taxeditor.webapp.CDMServer$l.run (CDMServer. java:183)
2019-03-06 10:04:57.997:WARN:o0ejuc.AbstractLifeCycle:Thread-7: FAILED o.e.j.w.WebAppContext@5e81b250{/, file:/t
mp/Jjetty-0.0.0.0-53678-cdmlib-remote-webapp.war—-_-any-902060411306944638.dir/webapp/, UNAVAILABLE}{/var/lib/jen
kins/workspace/taxeditor—-INTEGRATION/eu.etaxonomy.taxeditor.test/target/work/configuration/org.eclipse.osgi/75
/0/.cp/lib/cdmlib-remote-webapp.war}: Jjava.lang.reflect.InvocationTargetException
java.lang.reflect.InvocationTargetException

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse. jetty.webapp.IterativeDescriptorProcessor.visit (IterativeDescriptorProcessor. java:85)

at org.eclipse.jetty.webapp.IterativeDescriptorProcessor.process (IterativeDescriptorProcessor.java:72)

at org.eclipse. jetty.webapp.MetaData.resolve (MetaData.java:408)

at org.eclipse. jetty.webapp.WebAppContext.startContext (WebAppContext. java:1340)

at org.eclipse.jetty.server.handler.ContextHandler.doStart (ContextHandler.java:741)

at org.eclipse. jetty.webapp.WebAppContext.doStart (WebAppContext. java:505)

at org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)

at org.eclipse.jetty.util.component.ContainerLifeCycle.start (ContainerLifeCycle.java:132)

at org.eclipse.jetty.server.Server.start (Server. java:387)

at org.eclipse. jetty.util.component.ContainerLifeCycle.doStart (ContainerLifeCycle.java:114)

at org.eclipse.jetty.server.handler.AbstractHandler.doStart (AbstractHandler. java:61)

at org.eclipse. jetty.server.Server.doStart (Server. java:354)

at org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)

at eu.etaxonomy.taxeditor.webapp.CDMServer$l.run (CDMServer. java:183)
Caused by:
java.lang.NoClassDefFoundError: javax/servlet/ServletContextListener

at java.lang.ClassLoader.defineClassl (Native Method)

at java.lang.ClassLoader.defineClass (ClassLoader. java:763)

at java.security.SecureClassLoader.defineClass (SecureClassLoader. java:142)

at java.net.URLClassLoader.defineClass (URLClassLoader. java:467)

at java.net.URLClassLoader.access$100 (URLClassLoader. java:73)

at Jjava.net.URLClassLoader$l.run (URLClassLoader. java:368)

at java.net.URLClassLoader$l.run (URLClassLoader. java:362)

at java.security.AccessController.doPrivileged (Native Method)

at java.net.URLClassLoader.findClass (URLClassLoader. java:361)

at org.eclipse. jetty.webapp.WebAppClassLoader.findClass (WebAppClassLoader.java:510)
.handler.ContextHandler.loadClass (ContextHandler. java:1583)
.StandardDescriptorProcessor.visitListener (StandardDescriptorProcessor. java:195

NativeMethodAccessorImpl.invokeO (Native Method)

NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
Server
server

invoke (Method. java:498)

IterativeDescriptorProcessor.visit (IterativeDescriptorProcessor. java:85)
IterativeDescriptorProcessor.process (IterativeDescriptorProcessor. java:72)
MetaData.resolve (MetaData. java:408)

WebAppContext.startContext (WebAppContext.java:1340)
handler.ContextHandler.doStart (ContextHandler. java:741)
WebAppContext.doStart (WebAppContext.java:505)

.Server.start (Server.java:387)

util.component.ContainerLifeCycle.doStart (ContainerLifeCycle. java:114)

.handler.AbstractHandler.doStart (AbstractHandler. java:61)
.Server.doStart (Server. java:354)

util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)

eu.etaxonomy.taxeditor.webapp.CDMServer$l.run (CDMServer. java:183)

by:

java.lang.ClassNotFoundException: javax.servlet.ServletContextListener
java.net.URLClassLoader.findClass (URLClassLoader. java:381)

org.eclipse. jetty.webapp.WebAppClassLoader.findClass (WebAppClassLoader.java:510)
org.eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader. java:441)
org.eclipse.jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader. java:403)
java.lang.reflect

java.lang.ClassLoader.defineClassl (Native Method)

java.lang.ClassLoader.defineClass (ClassLoader.java:763)
java.security.SecureClassLoader.defineClass (SecureClassLoader. java:142)

java.net.URLClassLoader.defineClass (URLClassLoader. java:467)

java.net .URLClassLoader.access$100 (URLClassLoader. java:73)
java.net .URLClassLoader$l.run (URLClassLoader. java:368)

java.net .URLClassLoader$l.run (URLClassLoader. java:362)

java.security.AccessController.doPrivileged (Native Method)
java.net.URLClassLoader.findClass (URLClassLoader. java:361)

org.eclipse.
org.eclipse.
org.eclipse.
org.eclipse.
org.eclipse.

sun.reflect.
.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
Method.
util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)
util.component.ContainerLifeCycle.start (ContainerLifeCycle. java:132)
org.eclipse.
jetty

.webapp.
.webapp.
.webapp.
.server.
.webapp.

WebAppClassLoader.findClass (WebAppClassLoader. java:510)
WebAppClassLoader.loadClass (WebAppClassLoader. java:441)
WebAppClassLoader.loadClass (WebAppClassLoader. java:403)
handler.ContextHandler.loadClass (ContextHandler.java:1583)
StandardDescriptorProcessor.visitListener (StandardDescriptorProcessor.java:195

NativeMethodAccessorImpl.invokeO (Native Method)

server

Server
server

invoke (Method. java:498)

IterativeDescriptorProcessor.visit (IterativeDescriptorProcessor. java:85)
IterativeDescriptorProcessor.process (IterativeDescriptorProcessor. java:72)
MetaData.resolve (MetaData. java:408)

WebAppContext.startContext (WebAppContext.java:1340)
handler.ContextHandler.doStart (ContextHandler. java:741)
WebAppContext.doStart (WebAppContext.java:505)

.Server.start (Server.java:387)

util.component.ContainerLifeCycle.doStart (ContainerLifeCycle. java:114)

.handler.AbstractHandler.doStart (AbstractHandler. java:61)
.Server.doStart (Server. java:354)

util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)

eu.etaxonomy.taxeditor.webapp.CDMServer$l.run (CDMServer. java:183)
.017:INFO:0ejs.ServerConnector:Thread-7: Started ServerConnector@cl0981e{HTTP/1.1}{0.0.0.0:

.020:WARN:oejuc.AbstractLifeCycle:Thread-7: FAILED org.eclipse.jetty.server.Server@21lfa7e36
.InvocationTargetException

java.lang.reflect.InvocationTargetException
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at
at
at
at
at
at
at
at

sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

java.lang.reflect.
.Jjetty.
jetty.

org.eclipse

org.eclipse.
org.eclipse.
org.eclipse.
Method

webapp.
webapp.
webapp.
webapp.

.invoke (Method. java:498)

IterativeDescriptorProcessor.visit (IterativeDescriptorProcessor. java:85)
IterativeDescriptorProcessor.process (IterativeDescriptorProcessor.java:72)
MetaData.resolve (MetaData. java:408)

WebAppContext.startContext (WebAppContext.java:1340)

8/10



at org.eclipse. jetty.server.handler.ContextHandler.doStart (ContextHandler. java:741)
at org.eclipse. jetty.webapp.WebAppContext.doStart (WebAppContext. java:505)
at org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)
at org.eclipse.jetty.util.component.ContainerLifeCycle.start (ContainerLifeCycle.java:132)
at org.eclipse. jetty.server.Server.start (Server. java:387)
at org.eclipse.jetty.util.component.ContainerLifeCycle.doStart (ContainerLifeCycle.java:114)
at org.eclipse. jetty.server.handler.AbstractHandler.doStart (AbstractHandler. java:61)
at org.eclipse. jetty.server.Server.doStart (Server. java:354)
at org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)
at eu.etaxonomy.taxeditor.webapp.CDMServer$l.run (CDMServer. java:183)
Caused by:
java.lang.NoClassDefFoundError: javax/servlet/ServletContextListener
at java.lang.ClassLoader.defineClassl (Native Method)
at java.lang.ClassLoader.defineClass (ClassLoader. java:763)
at java.security.SecureClassLoader.defineClass (SecureClassLoader.java:142)
at java.net.URLClassLoader.defineClass (URLClassLoader. java:467)
at Jjava.net.URLClassLoader.access$100 (URLClassLoader.java:73)
at java.net.URLClassLoader$l.run (URLClassLoader. java:368)
at java.net.URLClassLoader$l.run (URLClassLoader. java:362)
at java.security.AccessController.doPrivileged (Native Method)
at java.net.URLClassLoader.findClass (URLClassLoader. java:361)
at org.eclipse. jetty.webapp.WebAppClassLoader.findClass (WebAppClassLoader. java:510)
at org.eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader. java:441)
at org.eclipse.jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader.java:403)
at org.eclipse. jetty.server.handler.ContextHandler.loadClass (ContextHandler. java:1583)
at org.eclipse. jetty.webapp.StandardDescriptorProcessor.visitListener (StandardDescriptorProcessor. java:195

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
at java.lang.reflect.Method.invoke (Method. java:498)
at org.eclipse. jetty.webapp.IterativeDescriptorProcessor.visit (IterativeDescriptorProcessor. java:85)
at org.eclipse.jetty.webapp.IterativeDescriptorProcessor.process (IterativeDescriptorProcessor.java:72)
at org.eclipse. jetty.webapp.MetaData.resolve (MetaData.java:408)
at org.eclipse. jetty.webapp.WebAppContext.startContext (WebAppContext. java:1340)
at org.eclipse.jetty.server.handler.ContextHandler.doStart (ContextHandler.java:741)
at org.eclipse. jetty.webapp.WebAppContext.doStart (WebAppContext. java:505)
at org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)
at org.eclipse.jetty.util.component.ContainerLifeCycle.start (ContainerLifeCycle.java:132)
at org.eclipse.jetty.server.Server.start (Server. java:387)
at org.eclipse. jetty.util.component.ContainerLifeCycle.doStart (ContainerLifeCycle.java:114)
at org.eclipse.jetty.server.handler.AbstractHandler.doStart (AbstractHandler. java:61)
at org.eclipse. jetty.server.Server.doStart (Server. java:354)
at org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)
at eu.etaxonomy.taxeditor.webapp.CDMServer$l.run (CDMServer. java:183)
Caused by:
java.lang.ClassNotFoundException: javax.servlet.ServletContextListener
at java.net.URLClassLoader.findClass (URLClassLoader. java:381)
at org.eclipse. jetty.webapp.WebAppClassLoader.findClass (WebAppClassLoader. java:510)
at org.eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader. java:441)
at org.eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader.java:403)
at java.lang.ClassLoader.defineClassl (Native Method)
at java.lang.ClassLoader.defineClass (ClassLoader. java:763)
at java.security.SecureClassLoader.defineClass (SecureClassLoader.java:142)
at java.net.URLClassLoader.defineClass (URLClassLoader. java:467)
at Jjava.net.URLClassLoader.access$100 (URLClassLoader.java:73)
at java.net.URLClassLoader$l.run (URLClassLoader. java:368)
at java.net.URLClassLoader$l.run (URLClassLoader. java:362)
at java.security.AccessController.doPrivileged (Native Method)
at java.net.URLClassLoader.findClass (URLClassLoader. java:361)
at org.eclipse. jetty.webapp.WebAppClassLoader.findClass (WebAppClassLoader. java:510)
at org.eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader. java:441)
at org.eclipse. jetty.webapp.WebAppClassLoader.loadClass (WebAppClassLoader.java:403)
at org.eclipse. jetty.server.handler.ContextHandler.loadClass (ContextHandler. java:1583)
at org.eclipse. jetty.webapp.StandardDescriptorProcessor.visitListener (StandardDescriptorProcessor. java:195

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse. jetty.webapp.IterativeDescriptorProcessor.visit (IterativeDescriptorProcessor. java:85)
at org.eclipse.jetty.webapp.IterativeDescriptorProcessor.process (IterativeDescriptorProcessor.java:72)
at org.eclipse. jetty.webapp.MetaData.resolve (MetaData.java:408)

at org.eclipse. jetty.webapp.WebAppContext.startContext (WebAppContext. java:1340)

at org.eclipse.jetty.server.handler.ContextHandler.doStart (ContextHandler.java:741)
at org.eclipse. jetty.webapp.WebAppContext.doStart (WebAppContext. java:505)

at org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)

at org.eclipse.jetty.util.component.ContainerLifeCycle.start (ContainerLifeCycle.java:132)

at org.eclipse.jetty.server.Server.start (Server. java:387)

at org.eclipse. jetty.util.component.ContainerLifeCycle.doStart (ContainerLifeCycle.java:114)

at org.eclipse.jetty.server.handler.AbstractHandler.doStart (AbstractHandler. java:61)

at org.eclipse. jetty.server.Server.doStart (Server. java:354)

at org.eclipse.jetty.util.component.AbstractLifeCycle.start (AbstractLifeCycle. java:68)

at eu.etaxonomy.taxeditor.webapp.CDMServer$l.run (CDMServer. java:183)
Exception in thread "Thread-7" java.lang.AssertionError: Error starting server. Reason : Error during CDM serv
er startup

at org.junit.Assert.fail (Assert.java:88)

at eu.etaxonomy.taxeditor.httpinvoker.CdmServerTest$1l.handleError (CdmServerTest. java:55)

at eu.etaxonomy.taxeditor.webapp.CDMServer$l.run (CDMServer. java:192)

#23 - 03/06/2019 10:23 AM - Patrick Plitzner
- Priority changed from Priority12 to Highest

- Target version changed from Release 5.6 to Reviewed Next Major Release

Moving the ticket back to decide what we want to do with it

#24 - 11/25/2019 01:12 PM - Andreas Miiller

- Assignee changed from Patrick Plitzner to Andreas Kohlbecker
